Summary:        Utilities for managing processes on your system
Name:           psmisc
Version:        22.21
Release:        %mkrel 7
License:        GPLv2+
Group:          Monitoring
URL:            http://psmisc.sourceforge.net/
Source0:        http://downloads.sourceforge.net/psmisc/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  ncurses-devel

%description
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs
of processes that are using specified files or filesystems.

%prep
%setup -q
%autopatch -p1

%build
export CFLAGS="%{optflags} -D_GNU_SOURCE"
%configure2_5x \
        --disable-rpath
%make

%install
%makeinstall_std

# (cg) This was traditionally shipped in /sbin, but it should just live in
# /usr. Add a symlink for any scripts that hard code paths (maybe one day we
# will merge bin and sbin?
mkdir -p %{buildroot}%{_sbindir}
ln -s ../bin/fuser %{buildroot}%{_sbindir}

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README
%{_bindir}/fuser
%{_sbindir}/fuser
%{_bindir}/killall
%{_bindir}/prtstat
%{_bindir}/pstree*
%{_mandir}/man1/fuser.1*
%{_mandir}/man1/killall.1*
%{_mandir}/man1/prtstat.1*
%{_mandir}/man1/pstree.1*
%{_bindir}/peekfd
%{_mandir}/man1/peekfd.1*


%changelog
* Fri Feb 12 2016 umeabot <umeabot> 22.21-7.mga6
+ Revision: 958550
- Mageia 6 Mass Rebuild

* Fri Aug 21 2015 tmb <tmb> 22.21-6.mga6
+ Revision: 867856
- rebuild for new gcc

* Wed Oct 15 2014 umeabot <umeabot> 22.21-5.mga5
+ Revision: 749597
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 22.21-4.mga5
+ Revision: 687816
- Mageia 5 Mass Rebuild

* Thu Sep 11 2014 colin <colin> 22.21-3.mga5
+ Revision: 674730
- Update for a post usrmove world

* Tue Oct 22 2013 umeabot <umeabot> 22.21-2.mga4
+ Revision: 541362
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 luigiwalser <luigiwalser> 22.21-1.mga4
+ Revision: 495689
- 22.21

* Sun Jan 13 2013 umeabot <umeabot> 22.20-2.mga3
+ Revision: 378283
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 22 2012 luigiwalser <luigiwalser> 22.20-1.mga3
+ Revision: 296632
- 22.20

* Sun Jun 24 2012 luigiwalser <luigiwalser> 22.19-1.mga3
+ Revision: 263315
- 22.19

* Tue Jun 19 2012 luigiwalser <luigiwalser> 22.18-1.mga3
+ Revision: 261851
- 22.18

* Mon Jun 11 2012 luigiwalser <luigiwalser> 22.17-1.mga3
+ Revision: 259579
- 22.17
- remove upstreamed patch

* Tue Jan 31 2012 tv <tv> 22.15-2.mga2
+ Revision: 203670
- patch 0: fix "*** buffer overflow detected ***: pstree terminated" (mga#4367,
  patch from suse)

* Sat Jan 28 2012 guillomovitch <guillomovitch> 22.15-1.mga2
+ Revision: 202687
- new version
- spec cleanup

* Wed Sep 14 2011 tv <tv> 22.14-1.mga2
+ Revision: 143238
- new release

* Sat Jan 08 2011 tmb <tmb> 22.13-2.mga1
+ Revision: 333
- imported package psmisc


* Sat Jan  7 2011 Thomas Backlund <tmb@mageia.org> 22.13-2.mga1
- initial import

* Mon Sep 27 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 22.13-1mdv2011.0
+ Revision: 581175
- new release: 22.13
-drop peekfd build fix patch (P0, fixed upstream)

* Sun Aug 15 2010 Sandro Cazzaniga <kharec@mandriva.org> 22.12-1mdv2011.0
+ Revision: 570049
- rediff patch
- new version

* Mon May 17 2010 Eugeni Dodonov <eugeni@mandriva.com> 22.11-1mdv2010.1
+ Revision: 544961
- Updated to new version 22.11.

* Wed Jan 06 2010 Frederik Himpe <fhimpe@mandriva.org> 22.10-1mdv2010.1
+ Revision: 486816
- update to new version 22.10

* Sun Dec 27 2009 Frederik Himpe <fhimpe@mandriva.org> 22.9-1mdv2010.1
+ Revision: 482728
- Fix BuildRequires
- Update to new version 22.9 (new prstat command)
- Let autoreconf create missing files

* Sun Aug 02 2009 Eugeni Dodonov <eugeni@mandriva.com> 22.8-1mdv2010.0
+ Revision: 407500
- Updated to 22.8.

* Sun May 10 2009 Frederik Himpe <fhimpe@mandriva.org> 22.7-1mdv2010.0
+ Revision: 374065
- Update to new version 22.7
- Remove old patches for problems fixed upstream
- Add patch from Arch Linux to fix building of peekfd on x86_64

* Sun Mar 08 2009 Michael Scherer <misc@mandriva.org> 22.6-5mdv2009.1
+ Revision: 352750
- remove  patch0, as it was nullified by patch3, and was not working
- disable peekfd on x86_64 as it doesn't compile and as this requires too
  much code adaptation for me ( since I do not know the register used by peekfd on
  64 bits archs )
- adapt patch from Fedora to make peekfs compile again

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

* Wed May 07 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 22.6-3mdv2009.0
+ Revision: 203286
- Patch2: fix overflow in pstree

* Sun Feb 17 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 22.6-2mdv2008.1
+ Revision: 169862
- new license policy
- do not package COPYING file
- fix building on x86_64 with patch 0
- include peekfd for other architectures

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Nov 10 2007 David Walluck <walluck@mandriva.org> 22.6-1mdv2008.1
+ Revision: 107353
- 22.6

* Sun Jul 08 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 22.5-2mdv2008.0
+ Revision: 49886
- exclude peekfd and its manpages on non-i586 architectures
- new version
- rediff patch 1
- fix file list
- spec file clean
- Import psmisc



* Mon Sep 18 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 22.2-2mdv2007.0
- Rebuild

* Thu May 04 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 22.2-1mdk
- 22.2

* Fri Dec 23 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 21.9-1mdk
- 21.9
- also ship oldfuser
- regenerate P1
- drop P2 (fixed upstream)
- fix summary-ended-with-dot

* Sat Jun 12 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 21.5-3mdk
- fixed patch2, removed termcap-devel buildrequires

* Thu Jun 10 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 21.5-2mdk
- fix buildrequires

* Tue Jun 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 21.5-1mdk
- 21.5
- fix conflicting types in src/pstree.c (P2)
- spec cosmetics

* Mon Feb 02 2004 Nicolas Planel <nplanel@mandrakesoft.com> 21.4-1mdk
- 21.4.

* Tue Jul 22 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 21.3-2mdk
- rebuild

* Thu Jun 05 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 21.3-1mdk
- new release
- added locale files

* Tue Oct 22 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 21.2-1mdk
- new release :
	* bug fixes in pstree:
	  o pstree -a would often fail badly (swapped variable  not set)
	  o fix pstree -a extra bracket problem
	* removed pidof.1 and a variable not used.
	* SELINUX/hurd/lfs support
	* changed killall.1 to be less ambigous
	* fix UTF8 problem
	* return for fuser -k will mean no.

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 21-2mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Tue May 21 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 21-1mdk
- new release
- remove patch0 (merged upstream)

* Tue May 14 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 20.2-3mdk
- gcc-3.1 build
- fix "fails to show process tree" problem with libsafe [Patch1]:
  the source string for comm is too short for "%%15c" wich potentially allow the
  code to read beyond the end of the source string.
  The new format '%%[^)]' will never read beyond the end of the source string,
  which keeps libsafe happy. (It appears that glibc doesn't "sniff" the stack
  in this way, so the authors of libsafe may be overly cautious.)

* Mon Jan 14 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 20.2-2mdk
- hum, try to use the same signal numbers as the kernel... 15 signals
  names were wrong!

* Thu Jan 10 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 20.2-1mdk
- this is gpl, not distributable
- sanitize
- new version

* Sun Apr 08 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 20.1-1mdk
- Bump up to 20.1.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 19-4mdk
- automatically added BuildRequires


* Thu Jul 20 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 19-3mdk
- macros, BM, spechelper ( :-( )

* Thu Apr 13 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 19-2mdk
- Fix bad tag value.

* Tue Mar 21 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 19-1mdk
- Version update (19)
- Use default Mandrake Optimisations.
- Patch the Makefile for psmisc rpm to be compiled by non root user.
- bziped psmisc-17-buildroot.patch

* Mon Oct 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Move fuser to /sbin(r).

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Sat Mar 13 1999 Michael Maher <mike@redhat.com>
- updated package

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- renamed the patch file .patch instead of .spec

* Thu Apr 09 1998 Erik Troan <ewt@redhat.com>
- updated to psmisc version 17
- buildrooted

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- updated from version 11 to version 16
- spec file cleanups

* Tue Jun 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc
